<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.prime.com.tr/ui">

    <body>

        <ui:composition template="./WEB-INF/skiSchoolTemplate.xhtml">
            <ui:param name="pageTitle" value="#{msgs.createinstructor_createInstructor}"/>
            <ui:define name="content">

                <p:growl id="growl" showDetail="true"/>

                <h:form id="createInstructor">
                    <p:panel id="panel" header="#{msgs.createinstructor_createInstructor}" footer="* #{msgs.global_required}" style="margin-bottom:10px;">

                        <p:panel>
                            <h:panelGrid columns="3">
                                <h:outputLabel value="#{msgs.createinstructor_firstName}" for="firstName"/>
                                <h:inputText id="firstName" value="#{instructorsBean.instructor.firstName}" title="FirstName" />
                                <p:message for="firstName"/>

                                <h:outputLabel value="#{msgs.createinstructor_lastName}*" for="lastName" />
                                <h:inputText id="lastName" value="#{instructorsBean.instructor.lastName}" title="LastName" />
                                <p:message for="lastName"/>

                                <h:outputLabel value="#{msgs.createinstructor_sex}*" for="sex" />
                                <h:selectOneRadio id="sex" value="#{instructorsBean.instructor.sex}" title="Sex">
                                    <f:selectItem  itemValue="Male" itemLabel="#{msgs.createinstructor_sex_male}"/>
                                    <f:selectItem  itemValue="Female" itemLabel="#{msgs.createinstructor_sex_female}"/>
                                </h:selectOneRadio>
                                <p:message for="sex"/>

                                <h:outputLabel value="#{msgs.createinstructor_birthNumber}" for="birthNumber" />
                                <h:inputText id="birthNumber" value="#{instructorsBean.instructor.birthNumber}" title="BirthNumber" />
                                <p:message for="birthNumber"/>
                            </h:panelGrid>
                        </p:panel>

                        <p:panel>
                            <h:panelGrid columns="3">
                                <h:outputLabel value="#{msgs.createinstructor_email}" for="email" />
                                <h:inputText id="email" value="#{instructorsBean.instructor.email}" title="Email" />
                                <p:message for="email"/>

                                <h:outputLabel value="#{msgs.createinstructor_phone}" for="phone" />
                                <h:inputText id="phone" value="#{instructorsBean.instructor.phone}" title="Phone" />
                                <p:message for="phone"/>

                                <h:outputLabel value="#{msgs.createinstructor_bankAccount}" for="bankAccount" />
                                <h:inputText id="bankAccount" value="#{instructorsBean.instructor.bankAccount}" title="BankAccount" />
                                <p:message for="bankAccount"/>

                                <h:outputLabel value="#{msgs.createinstructor_address}" for="address" />
                                <h:inputTextarea id="address" value="#{instructorsBean.instructor.address}" title="Address" rows="3"/>
                                <p:message for="address"/>

                                <h:outputLabel value="#{msgs.createinstructor_note}" for="note" />
                                <h:inputTextarea id="note" value="#{instructorsBean.instructor.note}" rows="3" title="Note" />
                                <p:message for="note"/>
                            </h:panelGrid>
                        </p:panel>

                        <p:panel>
                            <h:panelGrid columns="3">
                                <h:outputLabel value="#{msgs.createinstructor_positionSki}*" for="positionSki" />
                                <h:selectOneMenu id="positionSki" value="#{instructorsBean.instructor.positionSki}" title="PositionSki" >
                                    <f:selectItem  itemValue="none" itemLabel="no instruct"/>
                                    <f:selectItem  itemValue="unlicensed" itemLabel="unlicensed"/>
                                    <f:selectItem itemValue="candidate" itemLabel="candidate"/>
                                    <f:selectItem itemValue="C" itemLabel="C"/>
                                    <f:selectItem itemValue="B" itemLabel="B" />
                                    <f:selectItem  itemValue="A" itemLabel="A"/>
                                </h:selectOneMenu>
                                <p:message for="positionSki"/>

                                <h:outputLabel value="#{msgs.createinstructor_positionSnowboard}*" for="positionSnowboard" />
                                <h:selectOneMenu id="positionSnowboard" value="#{instructorsBean.instructor.positionSnowboard}" title="PositionSnowboard" >
                                    <f:selectItem  itemValue="none" itemLabel="no instruct"/>
                                    <f:selectItem  itemValue="unlicensed" itemLabel="unlicensed"/>
                                    <f:selectItem itemValue="candidate" itemLabel="candidate"/>
                                    <f:selectItem itemValue="C" itemLabel="C"/>
                                    <f:selectItem itemValue="B" itemLabel="B" />
                                    <f:selectItem  itemValue="A" itemLabel="A"/>
                                </h:selectOneMenu>
                                <p:message for="positionSnowboard"/>
                            </h:panelGrid>
                        </p:panel>

                        <p:panel>
                            <h:panelGrid columns="3">
                                <h:outputLabel value="#{msgs.createinstructor_seasonHours}*" for="seasonHours" />
                                <h:inputText id="seasonHours" value="#{instructorsBean.instructor.seasonHours}" size="4" title="SeasonHours" />
                                <p:message for="seasonHours"/>

                                <h:outputLabel value="#{msgs.createinstructor_totalHours}*" for="totalHours" />
                                <h:inputText id="totalHours" value="#{instructorsBean.instructor.totalHours}" size="4" title="TotalHours" />
                                <p:message for="totalHours"/>
                            </h:panelGrid>
                        </p:panel>

                        <p:panel>
                            <h:panelGrid columns="3">
                                <h:outputLabel value="#{msgs.createinstructor_username}*" for="username"/>
                                <h:inputText id="username" value="#{instructorsBean.instructor.account.login}" title="Username" disabled="#{not instructorsBean.newInstructor}"/>
                                <p:message for="username"/>

                                <h:outputLabel value="#{msgs.createinstructor_password}*" for="password" />
                                <h:inputText id="password" value="#{instructorsBean.accountPassword}" title="Password"/>
                                <p:message for="password"/>

                                <h:outputLabel value="#{msgs.createinstructor_role}*" for="role" rendered="#{securityBean.inRoleAdministrator}"/>
                                <h:selectOneMenu id="role" value="#{instructorsBean.instructor.account.groupname}" title="Role" rendered="#{securityBean.inRoleAdministrator}">
                                    <f:selectItems value="#{instructorsBean.roles}"/>
                                </h:selectOneMenu>
                                <p:message for="role" rendered="#{securityBean.inRoleAdministrator}"/>
                            </h:panelGrid>
                        </p:panel>

                        <p:messages/>

                        <p:commandButton value="#{msgs.global_save}" action="#{instructorsBean.saveInstructor}" update="createInstructor, growl"/>

                    </p:panel>
                </h:form>

            </ui:define>
        </ui:composition>

    </body>
</html>
